<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolApplyView" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolApplyView</refname>

    <refpurpose>Callback of <link linkend="sisotoolSelectView">sisotoolSelectView</link> used to displays the selected sub windows in the Analyser window.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>sisotoolApplyView()</synopsis>
  </refsection>
  <refsection>
    <title>Called functions</title>
<informaltable border="1">
<tr>
<td><link linkend="sisotoolGetSession">sisotoolGetSession</link></td>
<td>retrieves the <link linkend="sisotoolSessionData">session data
            structure</link> from the editors window user_data field.</td>
</tr> 
<tr>
<td><link linkend="sisotoolCreateAnalysers">sisotoolCreateAnalysers</link> </td>
<td>creates the Analyser sub windows and the associated graphic
    entities according to the user choices.</td>
</tr> 
<tr>
<td><link linkend="sisotoolSetSession">sisotoolSetSession</link> </td>
<td>stores the <link linkend="sisotoolSessionData">session data structure</link> in the editors window user_data field.</td>
</tr> 

<tr>
<td><link linkend="sisotoolRedrawAnalysers">sisotoolRedrawAnalysers</link> </td>
<td>updates Analysers curves .</td>
</tr> 

</informaltable>
 </refsection>
</refentry>
